package com.cloudcross.ssp.back.model;

import java.util.Date;

/**
 * 媒体数据报表中的系统报表，指广告在那个系统中投放的
 * @author Hao
 *
 */


public class SystemReport {
	    // id
		private Long id;
		
		//运营商id
		private Long operatorId;
		
		//日期
		private Date date;
		
		//位置  （1-windows，2-ios，3-android,4-mac,5-wp,6-other）
		private Integer os;
		//系统名称
		private String systemName;
		
		//PV
		private Long pv;
		//uv
		private Long uv;
		
		//曝光
		private Long impression;
		
		//点击
		private Long click;
		
		//ecpm
		private Float ecpm;
		//收入
		private Long income;
		
		//广告填充率
		private Float fillRate;
		//点击率
		private Float clickRate;
		//浏览量占比
		private Float pageviewsPercent;
		public Long getId() {
			return id;
		}
		public void setId(Long id) {
			this.id = id;
		}
		
		public Long getOperatorId() {
			return operatorId;
		}
		public void setOperatorId(Long operatorId) {
			this.operatorId = operatorId;
		}
		public Date getDate() {
			return date;
		}
		public void setDate(Date date) {
			this.date = date;
		}
		public Integer getOs() {
			return os;
		}
		public void setOs(Integer os) {
			this.os = os;
		}
		public String getSystemName() {
			return systemName;
		}
		public void setSystemName(String systemName) {
			this.systemName = systemName;
		}
		public Long getPv() {
			return pv;
		}
		public void setPv(Long pv) {
			this.pv = pv;
		}
		public Long getUv() {
			return uv;
		}
		public void setUv(Long uv) {
			this.uv = uv;
		}
		public Long getImpression() {
			return impression;
		}
		public void setImpression(Long impression) {
			this.impression = impression;
		}
		public Long getClick() {
			return click;
		}
		public void setClick(Long click) {
			this.click = click;
		}
		public Float getEcpm() {
			return ecpm;
		}
		public void setEcpm(Float ecpm) {
			this.ecpm = ecpm;
		}
		public Long getIncome() {
			return income;
		}
		public void setIncome(Long income) {
			this.income = income;
		}
		public Float getFillRate() {
			return fillRate;
		}
		public void setFillRate(Float fillRate) {
			this.fillRate = fillRate;
		}
		public Float getClickRate() {
			return clickRate;
		}
		public void setClickRate(Float clickRate) {
			this.clickRate = clickRate;
		}
		public Float getPageviewsPercent() {
			return pageviewsPercent;
		}
		public void setPageviewsPercent(Float pageviewsPercent) {
			this.pageviewsPercent = pageviewsPercent;
		}
		@Override
		public String toString() {
			return "SystemReport [id=" + id + ", operatorId=" + operatorId + ", date=" + date + ", os=" + os
					+ ", systemName=" + systemName + ", pv=" + pv + ", uv=" + uv + ", impression=" + impression
					+ ", click=" + click + ", ecpm=" + ecpm + ", income=" + income + ", fillRate=" + fillRate
					+ ", clickRate=" + clickRate + ", pageviewsPercent=" + pageviewsPercent + "]";
		}
		
		
		
		
		

}
